<?php use_helper('UrlFunctions'); ?>

<?php

if($control){//cuando se hizo el submit
 
	  	
  	
	  	foreach ($IdColaborador as $keyRep => $valRep ){
			reset($IdRepresentanteAnt);
	  		foreach ($IdRepresentanteAnt as $keyRepAnt => $valRepAnt){ 
	  			if($valRepAnt == $valRep){
	  				$array_repiten[$valRepAnt] = $valRepAnt;
	  			}
	  		}
	  		
	  	}	
	  	
	  	reset($IdRepresentanteAnt);
	  	foreach ($IdRepresentanteAnt as $keyRepAnt => $valRepAnt){ 
  				if($array_repiten[$valRepAnt]){
  					
  				}else{
  					$array_eliminado[$valRepAnt] = $valRepAnt;
  				}
  			
  		}
  		$a_mercado[] = $id;
	  	if(is_array($array_eliminado)){
	  	foreach ($array_eliminado as $keyElim => $valElim ){	
			  	$o_PrestamoBean = new PrestamoBean();
			  	$o_PrestamoBean->setIdColaboradorPrestamo($valElim);
			  	$o_PrestamoBean->setEstado('P');
			  	$o_PrestamoBean->setFiltroMercado($a_mercado);
			  	$o_PrestamoDP = new PrestamoDP($o_PrestamoBean);
			  	$a_prestamos = $o_PrestamoDP->select();
			  	
			   	
			  	if(!is_array($a_prestamos)){
			  	
			  	}else{
			  		echo "No se puede eliminar el Representante ".$valElim.", tiene cuentas a pendientes.<br>";
			  		exit;
			  	}
	  		}
	  	}
  	
  		
	
  if(is_array($tipoColaborador)){
 
  $o_MercadoBean = new MercadoBean();
  $o_MercadoBean->setIdMercado($id);
  $o_MercadoBean->setDescripcion($Descripcion);
  $o_MercadoBean->setDireccion($Direccion);
  $o_MercadoBean->setEstado($cboEstado);
  $o_MercadoBean->setTelefono($Telefono);
  $o_MercadoBean->setEliminado($Eliminado);
  $o_MercadoBean->setFechaModificacion(date("Y-m-d"));
  $o_MercadoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
  
  while(list($key,$val_tipo)=each($tipoColaborador)){
    switch ($val_tipo){
      	case "rep":
      		
            $o_MercadoRepresentanteBean = new MercadoRepresentanteBean();
            $o_MercadoRepresentanteBean -> setIdMercado($id);
            
            $o_ColaboradorBean 			= new ColaboradorBean();
            $o_ColaboradorBean->setIdColaborador($IdColaborador[$key]);
            $o_ColaboradorBL 			= new ColaboradorBL();
            $a_ObjectColaboradorBean 	= $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
                   
            $o_MercadoRepresentanteBean->setIdColaborador($a_ObjectColaboradorBean[0]->getIdColaborador());
            $o_MercadoRepresentanteBean->setFechaAsignacion(date("Y-m-d H:i:s"));
            $o_MercadoRepresentanteBean->setUsuarioAsignacion(myUser::getUser()->getUserId());
            
            if($li[$key] && $a_ObjectColaboradorBean[0]->getIdColaborador() == $li[$key]){    
              $o_MercadoRepresentanteBean->setFechaAsignacion(date("Y-m-d"));
              $a_concatResultAUpd[] = $o_MercadoRepresentanteBean;
            }else{
              $o_MercadoRepresentanteBean->setUsuarioAsignacion(myUser::getUser()->getUserId());
              $o_MercadoRepresentanteBean->setFechaAsignacion(date("Y-m-d"));
              $a_concatResultA[] = $o_MercadoRepresentanteBean;
            }

            break;

      }
    }
    
     $o_MercadoBean->setArrayMerColaboradorAct($a_concatResultAUpd);
     $o_MercadoBean->setArrayMerColaborador($a_concatResultA);
    

    $o_MercadoSystemClass = new MercadoSystemClass($o_MercadoBean);
    $bResult = $o_MercadoSystemClass->modificarMercado();
  
    if($bResult){
    ?>
      <script language="JavaScript">
     	 parent.objMainTab.reqBody('<?=buildUrl('asig/'.$typeSubmit)?>','&block=001&insert=1&cod=<?=$o_MercadoBean->getIdMercado()?>');
      </script>
    <?
    }
       
  }
  
  
}

if($id){
	
  $o_MercadoBean = new MercadoBean();
  $o_MercadoBean->setIdMercado($id);
  $o_MercadoBL = new MercadoBL();
  $o_MercadoBean = $o_MercadoBL->busquedaMercadoDetalles($o_MercadoBean);
  $a_MercadoRepresentante = $o_MercadoBean[0]->getArrayMerColaborador();
  
} 


?>

<script>
validateControls = function(){
  var errOutput               = { error:false, msg:"" };
  return errOutput;
}
</script>

<script type="text/javascript" src="<?php echo Constantes::ROOT_DIR_APP?>/web/js/objectForm.js"></script>

<script type="text/javascript">
  validatePass = function(){
    valid.onSubmit = false;
  }
</script>

<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>


<!--
<script>
validateControls = function(){
  var errOutput         = { error:false, msg:"" };

  return errOutput;
}
</script>-->

<script>
actualizarElementos = function(elmValue, elmDestino,type){
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=NombreColaborador&typeFind='+type+'&nombreElm='+elmDestino+'&value='+elmValue;
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}
</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value,'selected');
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>


<script>
insertOptionDefault = function(){
  
  var table = $('tableContent');
  var countRows = table.rows.length;
  
  var tr = table.rows[countRows-1];
  var td = tr.cells[1];
  var idSelect = td.firstChild.id;
  
  values = [[idSelect,'rep_;_Representante']];
  
  actualizaJSON('', values);
  
}
</script>

<script>
events = function(type){
  oReturn = validateControls();
  if(!oReturn.error){
    switch (type){
      case 'submit':
        if(grid.getCountRows() > 1){
          if(grid.validateRows()){
            disabledWin.show(true,true,'idGrid')
            $('form1').submit();
          }else{
            alert("Verifique el formulario.");
          }
        }else{
          elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Tiene que Ingresar detalles.'); setTimeout('elementLoad.hide()',3000);
        }
      break;
      case 'insert':
        grid.insert();
        insertOptionDefault();
      break;
      case 'delete':
        grid.deletes();
      break;
    }
  }else{
    alert(oReturn.msg);
    return false;
  }
}
</script>

<script>
buscaDetalle = function(e,elm){
  
  var charCode;
  if (navigator.appName == "Mozilla" || navigator.appName == "Netscape"){
    charCode = e.keyCode;
  }else{
    charCode = event.keyCode;
  }
  if (charCode == 114){
    
    var parentTr      = elm.parentNode.parentNode.id;
    var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
    var url           = "";
    
    if(valueSelect != ""){
    	
      switch (valueSelect){
        case 'rep':
          url = '<?=buildUrlComplet('mnt.php/rep/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Representante';
        break;
        /*case 'alm':
          url = '<?=buildUrlComplet('mnt.php/alm/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Alumno';
        break;
        case 'ext':
          url = '<?=buildUrlComplet('mnt.php/ext/listFind')?>iframe/contentResultxx/nameElm/'+elm.id+'/value/'+elm.value;
          tit = 'Externo';
        break;*/
      }
      parent.objMainTab.modalDialog(url,{title:'Busqueda de '+ tit,width:600,height:420});
    }else{
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;Seleccione el tipo para el ListFind.'); setTimeout('elementLoad.hide()', 1000);
    }
  }
}
</script>

<script>
actionSelect = function(elm){
  
  var parentTr      = elm.parentNode.parentNode.id;
  
  $(parentTr + "_td_2_IdColaborador[]").value = "";
  $(parentTr + "_td_3").innerHTML = "&nbsp;";
 
}

actionCod = function(elm){
  //alert("Hola");
  elm       = $(elm);
  elm.value = elm.value.trim();
  var elmValue = elm.value;
  
  parentTr = elm.parentNode.parentNode.id;
  
  elmDestino = parentTr + "_td_3";
  
  if(elmValue != ""){
    
    if(!grid.validateByColumn(2, elm, 'INPUT')){
    
      var parentTr      = elm.parentNode.parentNode.id;
      var valueSelect   = $(parentTr + "_td_1_tipoColaborador[]").value;
      
      $(elmDestino).innerHTML = "&nbsp;";
      formItem.loadProcess(parentTr + "_td_3");
      actualizarElementos(elmValue, elmDestino, valueSelect);
      
    }else{
      
      elm.value = "";
      elementLoad.show(undefined,'&nbsp;&nbsp;&nbsp;El Empleado ya fue Ingresado'); setTimeout('elementLoad.hide()', 1000);
      $(elmDestino).innerHTML = "&nbsp;";
      
    }
    
  }
  
}
</script>

<script type="text/javascript">
tinyMCE.init({

//mode : "textareas",

theme : "advanced",

elements : "txtTitulo",

theme_advanced_toolbar_align : "left",

theme_advanced_toolbar_location : "top"



});

</script>

<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Asignaci�n de Representante</li>
            <!--<span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Asignacion de Representante</I></span></td>-->
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST" onsubmit="validatePass();" >
      <input type="hidden" name="control" value="1">
      <input type="hidden" name="IdMercado" id="IdMercado" value="<?=$id?>">
       <!-- <input type="hidden" name="txtivnid" id="txtivnid"> -->
      <fieldset>
       <legend class="fielsettex"><I>Datos Generales</I></legend>
			
      <table   width="100%" class="marco" style="background: #E3E9E2">
        <tr>
          <td valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%" height="80" valign="top"><table height="80" border="0" cellpadding="0" cellspacing="2" class="SubCabecera">
                    
                     <tr>
  					   <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtDescripcion" >Mercado</label></td>
  					   <td nowrap="nowrap"><label class="label">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getDescripcion()?></label></td>
  						<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                  		<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtTelefono" >Tel�fono</label></td>
                  		<td nowrap="nowrap"><label class="label">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getTelefono()?></label></td>
  						
				   </tr>
				   <tr>
				     <td nowrap="nowrap" width="10%" class="cabecera"><label class="label" for="txtDireccion">Direcci&oacute;n</label></td>
  					 <td nowrap="nowrap" ><label class="label" for="txtDireccion">&nbsp;:&nbsp;<?php echo $o_MercadoBean[0]->getDireccion()?></label></td>
  					 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
  					  <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
					  <td nowrap="nowrap" width="38%"><label class="label">&nbsp;:&nbsp;
					    	<?php  	if($o_MercadoBean[0]->getEstado() == 'A') echo "Activo";
						   			if($o_MercadoBean[0]->getEstado() == 'I') echo "Inactivo"
						   	?></label>
					 </td>
				   </tr>
                </table>
                </td>
              </tr>
            </table>
            <br>
                <?
              /*-------------*/
				foreach ($a_MercadoRepresentante as $iKey => $o_MerColaborador){ 
					$array_objeto = $o_MerColaborador->getObjectColaborador(); ?>
					<input type="hidden" name="IdRepresentanteAnt[]" value="<?=$array_objeto[0]->getIdColaborador()?>">
			<?
				}
				/*-------------*/
              ?>
            </form>
            
                  <table width="100%" height="200" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td valign="top" id="contentDetail">
                        <table width="100%" border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td>
                              <table border="0" cellspacing="0" cellpadding="0" width="100%">
                                <tr>
                                  <td class="tabSpace">&nbsp;</td>
                                  <td class="ssTab ssTabAct" id="ttab1" onclick=";" nowrap="nowrap">Representante</td>
                                  <td class="tabSpace">&nbsp;</td>
                                  <td width="100%" class="tabSpace">&nbsp;</td>
                                </tr>
                              </table>
                            </td>
                          </tr>
                          <tr>
                            <td class="marcoTab">
                              <div id="tab1">
                                <table class="SubDetalle" width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                    <td valign="top">
                                      <table width="100%" border="0" cellpadding="5" cellspacing="0">
                                        <tr>
                                          <td height="0">&nbsp;</td>
                                        </tr>
                                        <tr>
                                          <td align="left">
                                            <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
                                              <tr>
                                                <td>
                                                  <table class="grid" id="tableContent" width="100%" border="0" cellpadding="0" cellspacing="0">
                                                    <tbody id="idGrid">
                                                      <tr height="23">
                                                        <th width="5%" nowrap="nowrap">Nro</th>
                                                        <th width="15%" nowrap="nowrap">Tipo</th>
                                                        <th width="15%" nowrap="nowrap">C�digo</th>
                                                        <th width="55%" nowrap="nowrap" align="left">Nombre</th>
                                                        
                                                          <?
	                                                      $i = 0;
	                                                      foreach ($a_MercadoRepresentante as $iKey => $o_MerColaborador){ 
	                                                       $i++; ?>
	                                                      <tr 
	                                                         id="idGrid_tr_<?=$i?>" 
	                                                         onmouseout  ="JavaScript:formItem.loadEngine('grid','leaveHover','idGrid_tr_<?=$i?>')" 
	                                                         onmouseover ="JavaScript:formItem.loadEngine('grid','enterHover','idGrid_tr_<?=$i?>')" 
	                                                         ondblclick  ="JavaScript:formItem.loadEngine('grid','rowSelect','idGrid_tr_<?=$i?>')" style="background-color: rgb(255, 255, 255);"
	                                                      >
                                                         <td id="idGrid_tr_<?=$i?>_td_0" align="center" code="count"><?=$i?></td>
                                                         <td id="idGrid_tr_<?=$i?>_td_1" align="center" code="tipoColaborador[]">
                                                                  <select 
                                                                  onclick   = "" 
                                                                  onkeyup   = "" 
                                                                  
                                                                  id        = "idGrid_tr_<?=$i?>_td_1_tipoColaborador[]" 
                                                                  name      = "tipoColaborador[]" 
                                                                  code      = "tipoColaborador[]"
                                                                  >
                                                                 
                                                                  <option value="rep" selected > Representante&nbsp;</option>
                                                                 
                                                                  </select>
                                                                
                                                        </td>
                                                        <td id="idGrid_tr_<?=$i?>_td_2" align="center" code="IdColaborador[]"><input 
                                                                  type      = "text" 
                                                                  onclick   = "" 
                                                                  onkeyup   = "" 
                                                                  style     = "text-align: center;" 
                                                                  onkeydown = "buscaDetalle(event,this);" 
                                                                  onfocus   = "this.select();" 
                                                                  onblur    = "actionCod(this);" 
                                                                  class     = "text mayus" 
                                                                  size      = "8" 
                                                                  id        = "idGrid_tr_<?=$i?>_td_2_IdColaborador[]" 
                                                                  name      = "IdColaborador[]" 
                                                                  code      = "IdColaborador[]"
                                                                  value     = "<?php $array_objeto = $o_MerColaborador->getObjectColaborador(); echo sprintf('%06d',$array_objeto[0]->getIdColaborador())?>"/>
                                                        </td>
                                                        <td align="left" id="idGrid_tr_<?=$i?>_td_3"><?=$array_objeto[0]->getNombreCompleto()?>
                                                        <input type="hidden" name="li[]" value="<?=$array_objeto[0]->getIdColaborador()?>"></td>
                                                       </tr>
                                                      <? } ?> 
                                                      </tr>
                                                    </tbody>
                                                  </table>
                                                </td>
                                              </tr>
                                            </table>
                                            <input class="button" name="bten" type="button" value="Agregar Representante" onclick="/*grid.insert();*/ events('insert');" />
                                            <input class="button" name="bten3" type="button" value="Borrar" onclick="/*grid.deletes();*/ events('delete');"/>
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </table>
                              </div>
                            </td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                  <div align="right">
                  <input type="hidden" name="typeSubmit" id="typeSubmit" onkeyup="">
                  <input class="button" type="button" value="Grabar" onclick="$('typeSubmit').value='list'; events('submit');"/>
                  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('asig/list')?>','001')" />
                  </div>
          </td>
        </tr>
       </table>
       </fieldset>

    </td>
  </tr>
</table>


<script type="text/javascript">
	function formCallback(result, form) {
		window.status = "valiation callback for form '" + form.id + "': result = " + result;
	}
	var valid = new Validation('form1', {immediate : true});
</script>


<script>
//----------------------------------------------------------------------------------------//
var grid = new formItem("idGrid",{objInstance:'grid'});
//se especifica q caracteristicas tendra cada celda
grid.options.data = ['s', 'SelectView', 'iText', 's', 'iText'];
//alineacion de cada linea
grid.options.alignTd = ['center', 'center', 'center', 'left', 'center'];
//valor por defecto solo para movimiento
var attributes = [];
attributes[1]  = {'class':'', onblur:"", onChange:"actionSelect(this);", style:""};
attributes[2]  = {size:"8", 'class':'text mayus', onfocus:"this.select();", style:"text-align:center;", onblur:"actionCod(this);", onkeydown:"buscaDetalle(event,this);"};
//attributes[4]  = {size:"5", 'class':'text mayus', onfocus:"this.select();", style:"text-align:center;"};
grid.options.attribute = attributes;
//nombre de las variables a retornar
var namesVar = [];
namesVar[0] = "count";
namesVar[1] = "tipoColaborador[]";
namesVar[2] = "IdColaborador[]";
//namesVar[4] = "part[]";
grid.options.varOutput = namesVar;
//debe de validar antes de insertar y se reutiliza para grabar
grid.options.rowValidate = [2,3];
//----------------------------------------------------------------------------------------//
</script>
